Subject: Re: [PATCH v2 2/2] leds/powernv: Add driver for PowerNV platform

From: Jacek Anaszewski <[email-masked]>
Date: Mon, 27 Apr 2015 13:15:09 +0200

Hi Vasant,

On 04/24/2015 12:15 PM, Jacek Anaszewski wrote:
[...]
>>> For attention and fault LEDs only brightness attribute would matter.
>>>
>>
>> Sure.
>>
>>> DT bindings would look as follows:
>>>
>>> opal-leds {
>>>          compatible = "ibm,opal-leds";
>>>
>>>          U78C9.001.RST0027-P1-C1:fault {
>>>          };
>>>
>>>          U78C9.001.RST0027-P1-C1:indent {
>>>          };
>>>
>>>          U78C9.001.RST0027-P2-C1:attn
>>>          };
>>>      }
>>> }
>>>
>>
>> As mentioned earlier DT is coming from our firmware. For now I will
>> respin another round of patches by using led-types property and run
>> it through DT experts (DT mailing list). If they insist this method
>> is better than what I already have , then will work with my firmware
>> folks to see what we can do better.
>
> Please hold on with sending the patches until we clarify all the
> DT related issues. Having full picture will help to adjust the
> bindings better to LED common bindings specification.
>

Please send the next version adjusted to your platform needs.
Since I've found out that only powerpc maintainers will have to
ack DT patch, you can avoid adding devicetree list on cc.

-- 
Best Regards,
Jacek Anaszewski